GNU bug report logs - #4359
23.1.50; ^G in M-x grep mode with git grep

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ulrich Neumerkel <ulrich@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 5 Jun 2022 14:15:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 05 10:15:21 2022
Received: from localhost ([127.0.0.1]:33148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxr2H-0000LY-Fq
	for submit <at> debbugs.gnu.org; Sun, 05 Jun 2022 10:15:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57296)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nxr2F-0000EO-Q0; Sun, 05 Jun 2022 10:15:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ZCIZuIJGGGi7W6/tdoU8g+lOka4sGSMZLydHRTO9rnI=; b=C2X9g7NCaQc6fP57nN/HojAyFS
 i4OCs+5djARD9snPTY5+3o+ch7aMwJoJflev2u6/ZAHqoAwwa/pOLW/uRFRuZDlYKsCwCKR3RLWfD
 nXL8cMudW7Kt3mcBaXDDkywoIYP7ei25Ig00vRHEtF71OyPrW/r+kvwXcMk7jOeslVq0=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nxr23-0001rJ-Py; Sun, 05 Jun 2022 16:15:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#15775: 24.3.50; "WARNING: terminal is not fully functional"
 in Comint and Eshell
References: <E1QcQzo-0007pn-KL@HIDDEN>
 <m3tyb6oomk.fsf@HIDDEN> <4E0D7000.7040802@HIDDEN>
 <m3fwmqjolh.fsf@HIDDEN> <yxq62nm9cay.fsf@HIDDEN>
 <m3wrg0x3kg.fsf@HIDDEN> <87czgsqhfa.fsf_-_@HIDDEN>
 <878rqfxlhh.fsf_-_@HIDDEN>
 <01702a44-ba8b-d1cc-7693-bbfee2c3f0aa@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUPDxInHCONbKxO
 KEOiOy3///9uRwijAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+YGBAw1FyQTjt0AAAGlSURBVDjLpZNh
 mqMwCIbh6R4AxAOsZA4gkAO0mvufaUk6M9raf8uPqLx8BAkB+G9DZiY6vpl/QaIDYLEkmA40PoOb
 aiG4/e1axFMqdFUCfN9wWmCO+A07FF6wHXJkW79fdaGGcNryJ0QXvCP4+gmswG7v4KaZCFivCg+T
 2q4AoC5Sd71uPredUK4AYvrKDpVrpy0bslzjYX508OFoNkbxxwfQcvnzAcwje7sWuw3XdH/zCzde
 8zznB9tJ5CAzZb8ni7oTUJ8RxhXZgTM55TnDfO/eCBZfOY+TmxsHO0sfD9UOTRaE1vwrYtOwaoxf
 zVjUpoVBS4R6aEQsnL0Jm8oAHl5105yrnsSTh1rk+Eno0zL+Vlt0VckoiAGiuJqI1j3qpsWLQd84
 N8j+lmAte6L82hp0l46lKGW0L2WEgfZUuw8Vieoj/zHzOvQ6m0VUcqMMshyw4iFQIr3ELBRMWRAT
 S+nXKPhpQsYkcUwj/9j7UOPTO4alL3CSjEf22T4oXi7kGfQrzG/kW5ANfSXS0mysO13AHn2NFwkP
 V9Sk9lIA15OCjuL+AZFuUILiwA2mAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA2LTA0VDEyOjUz
 OjIzKzAwOjAwf9+2egAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNi0wNFQxMjo1MzoyMyswMDow
 MA6CDsYAAAAASUVORK5CYII=
X-Now-Playing: 1CD (2022) - 14 Chances's _Illusion_: "(Illusion Suite #1)"
Date: Sun, 05 Jun 2022 16:15:06 +0200
In-Reply-To: <01702a44-ba8b-d1cc-7693-bbfee2c3f0aa@HIDDEN> (Dmitry Gutov's
 message of "Sat, 4 Jun 2022 20:37:31 +0300")
Message-ID: <87o7z72o45.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > Back when I filed
 bug#15775, Glenn merged it with bug#4359. > > Looks like you are fixing only
 the latter bug here. Sorry; didn't catch that. I've now unmerged the bug
 reports, and reopened bug#15775. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 4359
Cc: schwab@HIDDEN, Ulrich Neumerkel <ulrich@HIDDEN>,
 Dan Nicolaescu <dann@HIDDEN>, 15775 <at> debbugs.gnu.org,
 Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>, 4359 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> Back when I filed bug#15775, Glenn merged it with bug#4359.
>
> Looks like you are fixing only the latter bug here.

Sorry; didn't catch that.  I've now unmerged the bug reports, and
reopened bug#15775.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 4359 <at> debbugs.gnu.org and Ulrich Neumerkel <ulrich@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #15775 from all other report(s). Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug No longer marked as fixed in versions 29.1 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 4 Jun 2022 17:37:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 04 13:37:42 2022
Received: from localhost ([127.0.0.1]:59614 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nxXiY-0005f0-GR
	for submit <at> debbugs.gnu.org; Sat, 04 Jun 2022 13:37:42 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:52751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>)
 id 1nxXiW-0005ek-D4; Sat, 04 Jun 2022 13:37:41 -0400
Received: by mail-wm1-f46.google.com with SMTP id q15so2458830wmj.2;
 Sat, 04 Jun 2022 10:37:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:message-id:date:mime-version:user-agent:subject
 :content-language:to:cc:references:from:in-reply-to
 :content-transfer-encoding;
 bh=FdPnF24Hk6QxYtBOp00xUFgEySbCM/dO4vy2Tfgqz1c=;
 b=fAIw1OnsWHCRA4l6QXlRMxvylJEHURpHC4onxya6KSxYVSQ/Dq+hQj3SXlN1s1EbdI
 eYF7sHxqInW59fBws/WGUM96Oc50e3R3G/aHMsh4cebV0BEZpgPa6etax28cX7a+qE+y
 3pU6NdHFY6Qcwiv9T6Mbr14MIWWTirN30QwCD0IwwKhFQKW1dPFVZZSKsQzZKeGELesO
 8vqXyK+JptxFvzwqVsFAx/fiicsFjkKrB2pbN4AWLDZkvGyjNrvJ0CpXfX0npDODvYCm
 3OvPyXMSrMyn/Wh1ksSd6cN7WF03H35S4pf6/O0APi97WsCx8jeU5zerIhH4+I/mtMJ4
 fzvQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:message-id:date:mime-version:user-agent
 :subject:content-language:to:cc:references:from:in-reply-to
 :content-transfer-encoding;
 bh=FdPnF24Hk6QxYtBOp00xUFgEySbCM/dO4vy2Tfgqz1c=;
 b=y/E012cO49chWclPX0GraV3wZR0ZBzVUaMa67JAb/lQDXXXFlEzUEgRoVKJ65AnVxU
 jAzwcLmNaJ5a+etwpG/aFlmuw7zocG1rjhcMwVULzVYcevjh31FVr/gk9gmGzchsm803
 nHJ18BRywEeqeywcaB64VMIOT+QUH7pDnbRe2pZL+6peNe4fO4JYiNM70XStCWGiyinE
 5/ubeMATHhagrcOd9DBFO7amj05Pp+5quXz4ZuL+JXPVWeMShu1KmLyhbMSBjevVVP3H
 S0cmJc0wXud1PXorzqdV9OLLjw2q+mOIU3z7Hjkq2qSI9agHc6tmFNsokYfAANrx/EZB
 /TwQ==
X-Gm-Message-State: AOAM530l5NWOZe9Y2aK1e7A77cnw7oN+Ga+iJvmrD35QeWc+g5bXxZGB
 ZFM84+t4Ai4hWofvSVrI3T4=
X-Google-Smtp-Source: ABdhPJxyaCdZadf/3qRX+azeL1TwltAWmPcfl+mhAo4d9qEHJg2ULFsCtwqvOpDvZSjHUTP+f1aSLg==
X-Received: by 2002:a7b:c5cb:0:b0:397:47ae:188f with SMTP id
 n11-20020a7bc5cb000000b0039747ae188fmr43374919wmk.137.1654364254353; 
 Sat, 04 Jun 2022 10:37:34 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 h12-20020a05600c2cac00b0039749256d74sm16919634wmc.2.2022.06.04.10.37.32
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 04 Jun 2022 10:37:33 -0700 (PDT)
Message-ID: <01702a44-ba8b-d1cc-7693-bbfee2c3f0aa@HIDDEN>
Date: Sat, 4 Jun 2022 20:37:31 +0300
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.9.1
Subject: Re: bug#15775: 24.3.50; "WARNING: terminal is not fully functional"
 in Comint and Eshell
Content-Language: en-US
To: Lars Ingebrigtsen <larsi@HIDDEN>, Dan Nicolaescu <dann@HIDDEN>
References: <E1QcQzo-0007pn-KL@HIDDEN>
 <m3tyb6oomk.fsf@HIDDEN> <4E0D7000.7040802@HIDDEN>
 <m3fwmqjolh.fsf@HIDDEN> <yxq62nm9cay.fsf@HIDDEN>
 <m3wrg0x3kg.fsf@HIDDEN> <87czgsqhfa.fsf_-_@HIDDEN>
 <878rqfxlhh.fsf_-_@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <878rqfxlhh.fsf_-_@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 4359
Cc: 15775 <at> debbugs.gnu.org, =?UTF-8?Q?Jan_Dj=c3=a4rv?= <jan.h.d@HIDDEN>,
 schwab@HIDDEN, Ulrich Neumerkel <ulrich@HIDDEN>,
 4359 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 02.06.2022 16:07, Lars Ingebrigtsen wrote:
> Lars Ingebrigtsen<larsi@HIDDEN>  writes:
> 
>> This change makes "git grep" work as a grep command with `M-x grep' (if
>> you remove --null).  It's shouldn't have a negative impact on much
>> anything else (because no pagers should be used anywhere here), but
>> perhaps it should be done in grep.el instead of compile.el...
>>
>> Anybody got any comments?
> [...]
> 
>> +              ;; Some external programs (like "git grep") use a pager;
>> +              ;; defeat that.
>> +              (list "PAGER=")
> Nobody had any comments, and it doesn't seem likely that this will
> regress anything, so I've now pushed this to Emacs 29.

Hi Lars,

Back when I filed bug#15775, Glenn merged it with bug#4359.

Looks like you are fixing only the latter bug here.

The package I mentioned in the original report, inf-ruby, derives from 
comint-mode.

It doesn't derive from compilation-mode, so the pushed change can't 
affect it or fix the problem there.

N.B.: Even a decade later, I still have

   (setenv "PAGER" (executable-find "cat"))

in my init script.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.
bug marked as fixed in version 29.1, send any further explanations to 15775 <at> debbugs.gnu.org and Dmitry Gutov <dgutov@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 2 Jun 2022 13:07:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 02 09:07:22 2022
Received: from localhost ([127.0.0.1]:53082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nwkXq-0004ZD-Kg
	for submit <at> debbugs.gnu.org; Thu, 02 Jun 2022 09:07:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nwkXp-0004Yk-G7; Thu, 02 Jun 2022 09:07:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wd2b4wlFfMf2H03hR5y2aHUsJUisadkxC5waVIDnqJE=; b=YCi1fGiMJaC22mujE23eYq3ZjO
 re4Zt0moN7vk0UGwUhU+iQij1Qf6ANlo6ctbTwx5hPen2tRaVhvLTezD+vod177O9NLJEC+MIMqI4
 cmUaKUacTxFjjG9hgzAkEjmz9Ob8jF/HLsb1snR2BvZJkLYFeAFNDGnGji6TPDwfN4mY=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nwkXb-0007wA-Dm; Thu, 02 Jun 2022 15:07:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dan Nicolaescu <dann@HIDDEN>
Subject: Re: bug#15775: 24.3.50; "WARNING: terminal is not fully functional"
 in Comint and Eshell
References: <E1QcQzo-0007pn-KL@HIDDEN>
 <m3tyb6oomk.fsf@HIDDEN> <4E0D7000.7040802@HIDDEN>
 <m3fwmqjolh.fsf@HIDDEN> <yxq62nm9cay.fsf@HIDDEN>
 <m3wrg0x3kg.fsf@HIDDEN> <87czgsqhfa.fsf_-_@HIDDEN>
Date: Thu, 02 Jun 2022 15:07:06 +0200
In-Reply-To: <87czgsqhfa.fsf_-_@HIDDEN> (Lars Ingebrigtsen's message of
 "Thu, 05 May 2022 14:42:49 +0200")
Message-ID: <878rqfxlhh.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > This change
 makes
 "git grep" work as a grep command with `M-x grep' (if > you remove --null).
 It's shouldn't have a negative impact on much > anything else (because no
 pagers should be used anywhere [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 4359
Cc: 4359 <at> debbugs.gnu.org, 15775 <at> debbugs.gnu.org,
 Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>, schwab@HIDDEN,
 Ulrich Neumerkel <ulrich@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> This change makes "git grep" work as a grep command with `M-x grep' (if
> you remove --null).  It's shouldn't have a negative impact on much
> anything else (because no pagers should be used anywhere here), but
> perhaps it should be done in grep.el instead of compile.el...
>
> Anybody got any comments?

[...]

> +              ;; Some external programs (like "git grep") use a pager;
> +              ;; defeat that.
> +              (list "PAGER=")

Nobody had any comments, and it doesn't seem likely that this will
regress anything, so I've now pushed this to Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 5 May 2022 12:43:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 05 08:43:10 2022
Received: from localhost ([127.0.0.1]:44676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nmaoy-0000sq-IW
	for submit <at> debbugs.gnu.org; Thu, 05 May 2022 08:43:10 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nmaow-0000sI-Th; Thu, 05 May 2022 08:43:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=v1OKFyVADpDvM3xlAUPN8bwtiVf2BMe0NlPGscHSaAQ=; b=l83io5/x4xzoBIMR5O+5JT/E+f
 TFQQDrP3NLhMRk3tXEBkoRtE+fSBJ7QHUMEmoRjK4F8xQJQJZNsvCknsJ+he1eMQKxUTrDO+U+c9s
 zAX+VhFbHnOe0De4tvoKL8ex0u5xplj5K8MmkneyO1yQ7nco9eb5N2W6X9nfum67RH4s=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nmaoj-0001qs-Kj; Thu, 05 May 2022 14:42:51 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dan Nicolaescu <dann@HIDDEN>
Subject: Re: bug#15775: 24.3.50; "WARNING: terminal is not fully functional"
 in Comint and Eshell
References: <E1QcQzo-0007pn-KL@HIDDEN>
 <m3tyb6oomk.fsf@HIDDEN> <4E0D7000.7040802@HIDDEN>
 <m3fwmqjolh.fsf@HIDDEN> <yxq62nm9cay.fsf@HIDDEN>
 <m3wrg0x3kg.fsf@HIDDEN>
X-Now-Playing: Kiko Dinucci's _Rastilho_: =?utf-8?Q?=22Olod=C3=A9=22?=
Date: Thu, 05 May 2022 14:42:49 +0200
In-Reply-To: <m3wrg0x3kg.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
 message of "Sat, 02 Jul 2011 14:35:59 +0200")
Message-ID: <87czgsqhfa.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: This change makes "git grep" work as a grep command with `M-x
 grep' (if you remove --null). It's shouldn't have a negative impact on much
 anything else (because no pagers should be used anywhere here) [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 4359
Cc: 15775 <at> debbugs.gnu.org,
 Jan =?utf-8?Q?Dj=C3=A4r?= =?utf-8?Q?v?= <jan.h.d@HIDDEN>,
 schwab@HIDDEN, Ulrich Neumerkel <ulrich@HIDDEN>,
 4359 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This change makes "git grep" work as a grep command with `M-x grep' (if
you remove --null).  It's shouldn't have a negative impact on much
anything else (because no pagers should be used anywhere here), but
perhaps it should be done in grep.el instead of compile.el...

Anybody got any comments?

diff --git a/lisp/progmodes/compile.el b/lisp/progmodes/compile.el
index 6753cf0b02..c88eb10693 100644
--- a/lisp/progmodes/compile.el
+++ b/lisp/progmodes/compile.el
@@ -1895,6 +1895,9 @@ compilation-start
               (and (derived-mode-p 'comint-mode)
                    (comint-term-environment))
 	      (list (format "INSIDE_EMACS=%s,compile" emacs-version))
+              ;; Some external programs (like "git grep") use a pager;
+              ;; defeat that.
+              (list "PAGER=")
 	      (copy-sequence process-environment))))
         (setq-local compilation-arguments
                     (list command mode name-function highlight-regexp))


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.
Disconnected #15771 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 4359 15771 15775. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 4359 15775. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 2 Jul 2011 12:36:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 02 08:36:30 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QczR0-0001Ew-FO
	for submit <at> debbugs.gnu.org; Sat, 02 Jul 2011 08:36:30 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QczQu-0001EW-3r
	for 4359 <at> debbugs.gnu.org; Sat, 02 Jul 2011 08:36:28 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QczQi-0004SX-0C; Sat, 02 Jul 2011 14:36:12 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Dan Nicolaescu <dann@HIDDEN>
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
In-Reply-To: <yxq62nm9cay.fsf@HIDDEN> (Dan Nicolaescu's message of
	"Fri, 01 Jul 2011 12:48:53 -0400")
Date: Sat, 02 Jul 2011 14:35:59 +0200
Message-ID: <m3wrg0x3kg.fsf@HIDDEN>
References: <E1QcQzo-0007pn-KL@HIDDEN>
	<m3tyb6oomk.fsf@HIDDEN> <4E0D7000.7040802@HIDDEN>
	<m3fwmqjolh.fsf@HIDDEN> <yxq62nm9cay.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAMFBMVEXN0OZMVpvw8Pbf4e8j
	KnJ/h78QE1JibKy4vdz6+vs5Qon////+//4GBjz+/v2gps9PbVDcAAAB7UlEQVQ4jWPYjQH2gYhN
	DJgSu/FK7MMlsXsQS7zGLvFISXkeiLkPTWKf8gcGJj0sOh73B0rJM83DlFD45SUutaJ5NrrEPgbf
	FPHwciZtDAnT3Cs/OpQ/WKJL7Oy6e80tq8JACV1i899ry8PdHJuZFfrLl/9ggDuPYdParA8MUS4i
	6SUuLgul3LLEP72G6sh1bJrJLrhq4SqXVYJubi4paUubXoIkNlxz71Q2FaxycUtxcbuWe+1a7hUX
	t09gCcfPCq0Ll+VmBYcLCi5Z4pbm4uXiqg006lpKfXP7smur5DV+fG3g6Pi6tDTkyvKfQMvTFsx+
	UJW2qvxzP4PBf6NHMy0YauVbPwD9wTxv5/wqr4Wl8eHx9uU/frxhMk3lfF8BDKv5rsoK4W4LpZYs
	W1guKOLyP6KtaBJrASjYf3mt4M9Nc0lzWVjiIpXmuHRJxNfQIFBETXVbuDD3msvSz5OUNJU54gv9
	AwXLuUESG6S+pN1NWc8MCY19L4INOpjAUbvTIuTu3Yp4y3focb57s9vdu5/l0cIdJLFp7d2LGgXa
	GBKTlMvuXpz34TWGxMv539MC7NEjHWTUzvYC08KmeZgSux93hNcji++DSQBznDF6MoVI7Hz5cjdW
	CSxgkEpgy39giXdA8PrdvteoWXTfOwDxau8WPR5s+AAAAABJRU5ErkJggg==
X-Now-Playing: Various's _Jonny_: "Peaches - Jonny"
X-Hashcash: 1:23:110702:jan.h.d@HIDDEN::HED5IoKsz6BoeLOm:00000000000000000000000000000000000000000000t7O
X-Hashcash: 1:23:110702:dann@HIDDEN::DDlfpTwDVGu7JQc0:000004CSz
X-Hashcash: 1:23:110702:ulrich@HIDDEN::LV2xD9jdvIVTzDHb:000000000000000000000000000000000CLi8
X-Hashcash: 1:23:110702:schwab@HIDDEN::5lvUSZjARf8x9IA/:0000000000000000000000000000000000000000ix3b
X-Hashcash: 1:23:110702:4359 <at> debbugs.gnu.org::lZ6/LA5DEjdEgLRN:00000000000000000000000000000000000000000ne62
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QczQi-0004SX-0C
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310214972.45478@cFLl3M/1IFRlRLbml6Y1cw
X-Spam-Status: No
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 4359
Cc: 4359 <at> debbugs.gnu.org, Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>,
	schwab@HIDDEN, Ulrich Neumerkel <ulrich@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

Dan Nicolaescu <dann@HIDDEN> writes:

> Does setting
> GREP_OPTIONS to --color=always
> work?

Yes.  But if the user then types "grep foo *.el | bar", the bar command
will then be getting the escape sequences, which probably isn't what we
want.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 1 Jul 2011 16:49:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 01 12:49:05 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qcgts-000233-M0
	for submit <at> debbugs.gnu.org; Fri, 01 Jul 2011 12:49:05 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <dann@HIDDEN>) id 1Qcgtq-00022Z-4j
	for 4359 <at> debbugs.gnu.org; Fri, 01 Jul 2011 12:49:02 -0400
Received: from dann by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <dann@HIDDEN>)
	id 1Qcgth-00007r-U0; Fri, 01 Jul 2011 12:48:53 -0400
From: Dan Nicolaescu <dann@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
References: <E1QcQzo-0007pn-KL@HIDDEN>
	<m3tyb6oomk.fsf@HIDDEN> <4E0D7000.7040802@HIDDEN>
	<m3fwmqjolh.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Date: Fri, 01 Jul 2011 12:48:53 -0400
In-Reply-To: <m3fwmqjolh.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Fri, 01 Jul 2011 12:13:14 +0200")
Message-ID: <yxq62nm9cay.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: 4359
Cc: 4359 <at> debbugs.gnu.org, Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>,
	schwab@HIDDEN, Ulrich Neumerkel <ulrich@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.5 (------)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

> Jan Dj=C3=A4rv <jan.h.d@HIDDEN> writes:
>
>> grep --color=3Dalways
>
> Hm.  But I guess people don't want to have that explicitly on the
> command line they're editing when doing `M-x grep'?
>
> The original problem was that the user had used a command that has
> "less" as part of its pipeline, if running under a PTY.  Many other
> commands react to the PTY in different ways (some that we want, like the
> GREP_COLOR thing), and some that we don't want (like running less).
>
> I'm not sure there's a fix here that will satisfy all use cases.

Does setting
GREP_OPTIONS to --color=3Dalways
work?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 1 Jul 2011 10:15:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 01 06:15:02 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QcakX-0004ca-T6
	for submit <at> debbugs.gnu.org; Fri, 01 Jul 2011 06:15:02 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QcakU-0004bu-H5
	for 4359 <at> debbugs.gnu.org; Fri, 01 Jul 2011 06:14:59 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QcakJ-00038E-3f; Fri, 01 Jul 2011 12:14:47 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
In-Reply-To: <4E0D7000.7040802@HIDDEN> ("Jan
	\=\?iso-8859-1\?Q\?Dj\=E4rv\=22\?\=
	\=\?iso-8859-1\?Q\?'s\?\= message of "Fri, 01
	Jul 2011 08:58:08 +0200")
Date: Fri, 01 Jul 2011 12:13:14 +0200
Message-ID: <m3fwmqjolh.fsf@HIDDEN>
References: <E1QcQzo-0007pn-KL@HIDDEN>
	<m3tyb6oomk.fsf@HIDDEN> <4E0D7000.7040802@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAElBMVEU3IBXZ8vK94+aMZkme
	ppWy0tOVZtnhAAACVUlEQVQ4jWWUy3IjIQxFVYPnA6Dc+2mN2ZNA9k4Qe0Pg/39lroQzjxrKrmrr
	tKSrByZpbS4pItJmY156GIemKJAhTS1x1lQ2WPqqjHPyGswxEdHFgNnbx3lwxM9P0vNhAGb54O71
	NU4GXpk9QGvSwjjUHs1O39h7mlOzxiWa8kbOAXz3AAs542qLoZV/5lxySpfTqyqVOYal+FHzu9Ts
	NPmtaYxodn7U0j/zBmv1rtUOPjWUa8klLYSG9HP0CJc++JGoQLF5xNZ76D74I8TxIFdqtkJots6j
	H4uD7/xw2giiopWvEfWDWjjcneRS3RPAONFGFXYn9D87bSPAsX4P4U4Zx/pLptQO5D5IK4eswYQx
	mdn7M/BPcupAFwXIoS4nGhduZHWQ+4DctV0MxD0Ph1HRzrqB97cneAWIf4MrrAkfgDmG918goOVQ
	5SpCNWT2JgromKgPQBTo24G9Qe+L1IpiGpPGD2oMlkQWupuxczQ24O0QPhdiZXSWnv34krUQC+1q
	/wMBuP8DxO8SVVeR9QeknT0A5JobYafMfqOXbuiqOXIhm1Fc8ZPycXpNdN1ANxcNXtWll7ajzVxK
	JVwCWbNN7N9ldQPHUd4EF8cOAjtqT+AX2pw3sB3Ygq05BrAyRcFbeBI4HlikWrBlCoqPOxZ0X5Gj
	7hTYZyg8nx5XXb0NdNfwBPvZJ1cDE7mTrq3YFxNJhbD2CIZJX2o1hUDvhTIGrxNwcM2QN3FN13yR
	DaqkXDXSmy3diMXfkbLWquFcwURxofBng2dUKy7VPFURqN0C2x/6BVA4xtY6rSduAAAAAElFTkSu
	QmCC
X-Now-Playing: =?iso-8859-1?Q?Beyonc=E9's?= _B'day_: "Flaws and All"
X-Hashcash: 1:23:110701:jan.h.d@HIDDEN::xTUv1JkeM3znIw/5:0000000000000000000000000000000000000000000CKCm
X-Hashcash: 1:23:110701:4359 <at> debbugs.gnu.org::9TNDdgd0g1KfTLIM:00000000000000000000000000000000000000000GYQ3
X-Hashcash: 1:23:110701:ulrich@HIDDEN::bWOgCKfsbTFklhN2:000000000000000000000000000000000Sb9v
X-Hashcash: 1:23:110701:schwab@HIDDEN::/LpHBDNtMYFt6/k7:0000000000000000000000000000000000000001E3vl
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-MailScanner-ID: 1QcakJ-00038E-3f
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310120087.29093@f/dGjYZiPfWfcRD642Ui1Q
X-Spam-Status: No
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 4359
Cc: 4359 <at> debbugs.gnu.org, schwab@HIDDEN,
	Ulrich Neumerkel <ulrich@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

Jan Dj=E4rv <jan.h.d@HIDDEN> writes:

> grep --color=3Dalways

Hm.  But I guess people don't want to have that explicitly on the
command line they're editing when doing `M-x grep'?

The original problem was that the user had used a command that has
"less" as part of its pipeline, if running under a PTY.  Many other
commands react to the PTY in different ways (some that we want, like the
GREP_COLOR thing), and some that we don't want (like running less).

I'm not sure there's a fix here that will satisfy all use cases.

--=20
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 1 Jul 2011 06:58:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 01 02:58:18 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QcXg9-0007ta-Ve
	for submit <at> debbugs.gnu.org; Fri, 01 Jul 2011 02:58:18 -0400
Received: from smtprelay-b11.telenor.se ([62.127.194.20])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jan.h.d@HIDDEN>) id 1QcXg7-0007tM-1k
	for 4359 <at> debbugs.gnu.org; Fri, 01 Jul 2011 02:58:15 -0400
Received: from ipb2.telenor.se (ipb2.telenor.se [195.54.127.165])
	by smtprelay-b11.telenor.se (Postfix) with ESMTP id 40C96EA635
	for <4359 <at> debbugs.gnu.org>; Fri,  1 Jul 2011 08:58:09 +0200 (CEST)
X-SENDER-IP: [85.225.45.100]
X-LISTENER: [smtp.bredband.net]
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: As5VAB1vDU5V4S1kPGdsb2JhbABSiQqeUgsBAQEBHhkNJYh7wFKGMgSXJos8
X-IronPort-AV: E=Sophos;i="4.65,456,1304287200"; d="scan'208";a="202966748"
Received: from c-642de155.25-1-64736c10.cust.bredbandsbolaget.se (HELO
	coolsville.localdomain) ([85.225.45.100])
	by ipb2.telenor.se with ESMTP; 01 Jul 2011 08:58:08 +0200
Received: from [172.20.199.2] (gaffa [172.20.199.2])
	by coolsville.localdomain (Postfix) with ESMTP id 7510F7FA05A;
	Fri,  1 Jul 2011 08:58:08 +0200 (CEST)
Message-ID: <4E0D7000.7040802@HIDDEN>
Date: Fri, 01 Jul 2011 08:58:08 +0200
From: =?ISO-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US;
	rv:1.9.2.17) Gecko/20110516 Thunderbird/3.1.10
MIME-Version: 1.0
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
References: <E1QcQzo-0007pn-KL@HIDDEN>
	<m3tyb6oomk.fsf@HIDDEN>
In-Reply-To: <m3tyb6oomk.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 4359
Cc: 4359 <at> debbugs.gnu.org, schwab@HIDDEN,
	Ulrich Neumerkel <ulrich@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.3 (--)

2011-07-01 02:01, Lars Magne Ingebrigtsen skrev:
> Ulrich Neumerkel<ulrich@HIDDEN>  writes:
>
>> Lars Magne Ingebrigtsen:
>>> Are there any reasons why `M-x grep' and friends
>>> (i.e. `compilation-start', really) shouldn't bind
>>> `process-connection-type' to nil?
>>
>> M-x grep highlights the actual matches.  So this is not a simple pipe.
>
> Right, so when grep detects that it's not a PTY, it switches the
> GREP_COLOR(S) stuff off?  And there's no way to force that to be on?
>

grep --color=always

	Jan D.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 1 Jul 2011 01:14:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 21:14:27 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QcSJO-0007WJ-SO
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2011 21:14:27 -0400
Received: from smtp-out4.starman.ee ([85.253.0.6] helo=mx2.starman.ee)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <juri@HIDDEN>) id 1QcSJL-0007W4-2M
	for 4359 <at> debbugs.gnu.org; Thu, 30 Jun 2011 21:14:24 -0400
X-Virus-Scanned: by Amavisd-New at mx2.starman.ee
Received: from mail.starman.ee (62.65.210.87.cable.starman.ee [62.65.210.87])
	by mx2.starman.ee (Postfix) with ESMTP id 43FF53F4135;
	Fri,  1 Jul 2011 04:14:11 +0300 (EEST)
From: Juri Linkov <juri@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
Organization: JURTA
References: <E1QcQzo-0007pn-KL@HIDDEN>
	<m3tyb6oomk.fsf@HIDDEN>
Date: Fri, 01 Jul 2011 04:11:01 +0300
In-Reply-To: <m3tyb6oomk.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Fri, 01 Jul 2011 02:01:23 +0200")
Message-ID: <878vsi4xga.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 4359
Cc: 4359 <at> debbugs.gnu.org, schwab@HIDDEN,
	Ulrich Neumerkel <ulrich@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

>>>Are there any reasons why `M-x grep' and friends
>>>(i.e. `compilation-start', really) shouldn't bind
>>>`process-connection-type' to nil?
>>
>> M-x grep highlights the actual matches.  So this is not a simple pipe.
>
> Right, so when grep detects that it's not a PTY, it switches the
> GREP_COLOR(S) stuff off?  And there's no way to force that to be on?

Yes, grep switches colors off if it's not a PTY:

http://thread.gmane.org/gmane.emacs.devel/83316/focus=83449




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 1 Jul 2011 00:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 20:01:41 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QcRAz-0005tc-O5
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2011 20:01:41 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QcRAw-0005tQ-Fa
	for 4359 <at> debbugs.gnu.org; Thu, 30 Jun 2011 20:01:39 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QcRAl-0006au-4L; Fri, 01 Jul 2011 02:01:27 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Ulrich Neumerkel <ulrich@HIDDEN>
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
In-Reply-To: <E1QcQzo-0007pn-KL@HIDDEN> (Ulrich Neumerkel's
	message of "Fri, 01 Jul 2011 01:50:08 +0200")
Date: Fri, 01 Jul 2011 02:01:23 +0200
Message-ID: <m3tyb6oomk.fsf@HIDDEN>
References: <E1QcQzo-0007pn-KL@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAElBMVEUAKCD7uHH+yYGQhVIA
	Ih8FNSYLAUHgAAACL0lEQVQ4jWWUXa6jMAyFPRp7AQ5iAQHddyjKe6QJ76HB+9/KHKfQ6Z1rqRTl
	889xYkLTT4v+IL0s6KeFf0BXHWy93hH0BsOhiR86aAhxeoHoyw0/olUX6cBT4UW1AujSgs61hdCL
	h4iy6fcEOq4TcDqmS1XUoa4aRh2bS0v2eAFELHboVo+FZNUtSbv7GHg3IxJr22Bi1kMcLJyNREg2
	cyM7Xqm0wjltyS6rZg6ijlSM1pA8HdavXDTpQnsl29oawY7k4FePqLxTltq1fD1nT9W8xkBcmauJ
	a0mPuXq+FyBUhxv24MsesYp4EUJtoSLkXsMMcFWnkGhHJpIWYpvGEM3Dn4hIFREnlK1DP1fzIocD
	siJMwn/kEbfJHV0WqVEte2Gh3LZKLVXfCAeVT94zS8nGpaD9CwS8ZS9f8l4KQ9MHKDujTCaAM79T
	GZ1ZOihgZyGrL5DYspxlz7l4RPH+eqqEzlEQvjDI252gjzhyB2yUS65gHuGdjxXpJSM3dcH12isd
	TldO3dWfJ10A+wxf5ChevXijJj6J6gBqse7kBKj9BCPm7MQYlEKFC/4wAU8HYcb+E0bLkxlE4wR9
	SsKkaLU6gUEVnSSvSQwLdBBjSwozk3E97tnF+Vd2SZRxrmThAjFhbk/fXWbf9fe0h7kPJ5E/4fO4
	QcTHYiLXTMv7i+rJ7G1t+gA62x3Qwjegc7rX/wNh8i+nre8LheINwveb5gLDprPfJ7hMbjBF/WEO
	/gJV1roSry45UgAAAABJRU5ErkJggg==
X-Now-Playing: Various's _Music & Migration_: "brave timbers - Let's Never Go
	Back"
X-Hashcash: 1:23:110701:ulrich@HIDDEN::zCCCgHGkRRxm5KgJ:0000000000000000000000000000000009OcH
X-Hashcash: 1:23:110701:schwab@HIDDEN::H9/hUl7cx0OHfrCh:0000000000000000000000000000000000000000If4u
X-Hashcash: 1:23:110701:4359 <at> debbugs.gnu.org::zSzquBdcYxGtXE+3:00000000000000000000000000000000000000000BdvP
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QcRAl-0006au-4L
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310083287.30945@gW0KHrxGj0Bdv4kvbLYFfQ
X-Spam-Status: No
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 4359
Cc: schwab@HIDDEN, 4359 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

Ulrich Neumerkel <ulrich@HIDDEN> writes:

> Lars Magne Ingebrigtsen:
>>Are there any reasons why `M-x grep' and friends
>>(i.e. `compilation-start', really) shouldn't bind
>>`process-connection-type' to nil?
>
> M-x grep highlights the actual matches.  So this is not a simple pipe.

Right, so when grep detects that it's not a PTY, it switches the
GREP_COLOR(S) stuff off?  And there's no way to force that to be on?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 30 Jun 2011 23:52:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 19:52:18 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QcR1t-0005ff-EJ
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2011 19:52:17 -0400
Received: from a4.complang.tuwien.ac.at ([128.130.173.65])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <ulrich@HIDDEN>) id 1QcQzv-0005cd-Oe
	for 4359 <at> debbugs.gnu.org; Thu, 30 Jun 2011 19:50:16 -0400
Received: from ulrich by a4.complang.tuwien.ac.at with local (Exim 4.69)
	(envelope-from <ulrich@HIDDEN>)
	id 1QcQzo-0007pn-KL; Fri, 01 Jul 2011 01:50:08 +0200
To: larsi@HIDDEN, schwab@HIDDEN
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
In-Reply-To: <m362nmq3yz.fsf@HIDDEN>
Message-Id: <E1QcQzo-0007pn-KL@HIDDEN>
From: Ulrich Neumerkel <ulrich@HIDDEN>
Date: Fri, 01 Jul 2011 01:50:08 +0200
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 4359
X-Mailman-Approved-At: Thu, 30 Jun 2011 19:52:15 -0400
Cc: ulrich@HIDDEN, 4359 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Lars Magne Ingebrigtsen:
>Are there any reasons why `M-x grep' and friends
>(i.e. `compilation-start', really) shouldn't bind
>`process-connection-type' to nil?

M-x grep highlights the actual matches.  So this is not a simple pipe.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.

Message received at 4359 <at> debbugs.gnu.org:


Received: (at 4359) by debbugs.gnu.org; 30 Jun 2011 23:44:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 30 19:44:58 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QcQun-0005VJ-Uo
	for submit <at> debbugs.gnu.org; Thu, 30 Jun 2011 19:44:58 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QcQuk-0005V5-TN
	for 4359 <at> debbugs.gnu.org; Thu, 30 Jun 2011 19:44:56 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QcQuX-0006L9-KK; Fri, 01 Jul 2011 01:44:41 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
In-Reply-To: <m2zl986lll.fsf@HIDDEN> (Andreas Schwab's message of "Sun, 06
	Sep 2009 19:15:18 +0200")
Date: Fri, 01 Jul 2011 01:44:36 +0200
Message-ID: <m362nmq3yz.fsf@HIDDEN>
References: <E1MkLAq-0005Hd-61@HIDDEN>
	<m2zl986lll.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAElBMVEUAKCD7uHH+yYGQhVIA
	Ih8FNSYLAUHgAAACL0lEQVQ4jWWUXa6jMAyFPRp7AQ5iAQHddyjKe6QJ76HB+9/KHKfQ6Z1rqRTl
	889xYkLTT4v+IL0s6KeFf0BXHWy93hH0BsOhiR86aAhxeoHoyw0/olUX6cBT4UW1AujSgs61hdCL
	h4iy6fcEOq4TcDqmS1XUoa4aRh2bS0v2eAFELHboVo+FZNUtSbv7GHg3IxJr22Bi1kMcLJyNREg2
	cyM7Xqm0wjltyS6rZg6ijlSM1pA8HdavXDTpQnsl29oawY7k4FePqLxTltq1fD1nT9W8xkBcmauJ
	a0mPuXq+FyBUhxv24MsesYp4EUJtoSLkXsMMcFWnkGhHJpIWYpvGEM3Dn4hIFREnlK1DP1fzIocD
	siJMwn/kEbfJHV0WqVEte2Gh3LZKLVXfCAeVT94zS8nGpaD9CwS8ZS9f8l4KQ9MHKDujTCaAM79T
	GZ1ZOihgZyGrL5DYspxlz7l4RPH+eqqEzlEQvjDI252gjzhyB2yUS65gHuGdjxXpJSM3dcH12isd
	TldO3dWfJ10A+wxf5ChevXijJj6J6gBqse7kBKj9BCPm7MQYlEKFC/4wAU8HYcb+E0bLkxlE4wR9
	SsKkaLU6gUEVnSSvSQwLdBBjSwozk3E97tnF+Vd2SZRxrmThAjFhbk/fXWbf9fe0h7kPJ5E/4fO4
	QcTHYiLXTMv7i+rJ7G1t+gA62x3Qwjegc7rX/wNh8i+nre8LheINwveb5gLDprPfJ7hMbjBF/WEO
	/gJV1roSry45UgAAAABJRU5ErkJggg==
X-Now-Playing: Various's _Music & Migration_: "Darren Hayman - Summer Visitors"
X-Hashcash: 1:23:110630:schwab@HIDDEN::Ee5DcJfz4NZ/ON71:00000000000000000000000000000000000000001vRS
X-Hashcash: 1:23:110630:ulrich@HIDDEN::RyK2csGZ0tdPgGPP:0000000000000000000000000000000003Q5u
X-Hashcash: 1:23:110630:4359 <at> debbugs.gnu.org::qrjdgi+TBbVdYedQ:000000000000000000000000000000000000000005ySi
X-Hashcash: 1:23:110630:4359 <at> debbugs.gnu.org::yHazGZTpinNa2WYJ:000000000000000000000000000000000000000008QYF
X-Hashcash: 1:23:110630:emacs-pretest-bug@HIDDEN::IsFGBXx2UQprqaXt:000000000000000000000000000000000000QNLa
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QcQuX-0006L9-KK
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310082281.70017@EKbaqVvyTRDAoNl2hVs5Sg
X-Spam-Status: No
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 4359
Cc: Ulrich Neumerkel <ulrich@HIDDEN>, 4359 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

Andreas Schwab <schwab@HIDDEN> writes:

>> This would be an ad-hoc workaround that does not work for the next
>> tool.  What is needed is that the command is called such that git or
>> the pager doesn't think they are in an interactive environment.
>
> That is easy, use a pipe instead of a pty (see process-connection-type).

Are there any reasons why `M-x grep' and friends
(i.e. `compilation-start', really) shouldn't bind
`process-connection-type' to nil?

That is, do any of the `compile'-derived functions need a pty?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#4359; Package emacs. Full text available.

Message received at 4359@HIDDEN:


Received: (at 4359) by emacsbugs.donarmstrong.com; 6 Sep 2009 17:37:26 +0000
From svenjoac@HIDDEN Sun Sep  6 10:37:26 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.8 required=4.0 tests=AWL,FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.gmx.net (mail.gmx.net [213.165.64.20])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with SMTP id n86HbOBG021520
	for <4359@HIDDEN>; Sun, 6 Sep 2009 10:37:25 -0700
Received: (qmail invoked by alias); 06 Sep 2009 17:37:18 -0000
Received: from p54865981.dip.t-dialin.net (EHLO turtle.gmx.de) [84.134.89.129]
  by mail.gmx.net (mp008) with SMTP; 06 Sep 2009 19:37:18 +0200
X-Authenticated: #28250155
X-Provags-ID: V01U2FsdGVkX1+yTEMEBXayoBHzrjCbU3Oy2AvctdXL5CFZMErd3b
	b1HmK7Brz4rUQF
Received: by turtle.gmx.de (Postfix, from userid 1000)
	id 85DCC3548C; Sun,  6 Sep 2009 19:37:20 +0200 (CEST)
From: Sven Joachim <svenjoac@HIDDEN>
To: Ulrich Neumerkel <ulrich@HIDDEN>
Cc: 4359 <at> debbugs.gnu.org, schwab@HIDDEN
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
References: <m24org80z0.fsf@HIDDEN>
	<E1MkLAq-0005Hd-61@HIDDEN>
Date: Sun, 06 Sep 2009 19:37:20 +0200
In-Reply-To: <E1MkLAq-0005Hd-61@HIDDEN> (Ulrich Neumerkel's
	message of "Sun, 06 Sep 2009 19:05:08 +0200")
Message-ID: <87pra40yb3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.58

On 2009-09-06 19:05 +0200, Ulrich Neumerkel wrote:

> Andreas Schwab <schwab@HIDDEN>
>>> git grep -n -e git.describe
>>> WARNING: terminal is not fully functional
>>> ^Glisp/org/org.el:112:      (if (eql 0 (shell-command "git describe --abbrev=4 HEAD"))
>>
>>The WARNING line and the ^G is written by less.  You can work around
>>that by disabling the pager or setting it to cat.
>
> This would be an ad-hoc workaround that does not work for the next
> tool.  What is needed is that the command is called such that git or
> the pager doesn't think they are in an interactive environment.

I set the pager in my .emacs:

(setenv "PAGER" "/bin/cat")

Works fine in all programs.

Sven



Acknowledgement sent to Sven Joachim <svenjoac@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4359; Package emacs. Full text available.

Message received at 4359@HIDDEN:


Received: (at 4359) by emacsbugs.donarmstrong.com; 6 Sep 2009 17:15:23 +0000
From whitebox@HIDDEN Sun Sep  6 10:15:23 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.7 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail-out.m-online.net (mail-out.m-online.net [212.18.0.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n86HFLqu018276
	for <4359@HIDDEN>; Sun, 6 Sep 2009 10:15:23 -0700
Received: from mail01.m-online.net (mail.m-online.net [192.168.3.149])
	by mail-out.m-online.net (Postfix) with ESMTP id 05E521C0070D;
	Sun,  6 Sep 2009 19:15:20 +0200 (CEST)
Received: from localhost (dynscan2.mnet-online.de [192.168.1.215])
	by mail.m-online.net (Postfix) with ESMTP id EBF45902A4;
	Sun,  6 Sep 2009 19:15:19 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.3.149])
	by localhost (dynscan2.mnet-online.de [192.168.1.215]) (amavisd-new, port 10024)
	with ESMTP id KmKfzJDMhN6p; Sun,  6 Sep 2009 19:15:18 +0200 (CEST)
Received: from igel.home (DSL01.83.171.189.21.ip-pool.NEFkom.net [83.171.189.21])
	by mail.mnet-online.de (Postfix) with ESMTP;
	Sun,  6 Sep 2009 19:15:18 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id 75D7B10DC2A; Sun,  6 Sep 2009 19:15:18 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Ulrich Neumerkel <ulrich@HIDDEN>
Cc: 4359 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
References: <E1MkLAq-0005Hd-61@HIDDEN>
X-Yow: CHUBBY CHECKER just had a CHICKEN SANDWICH in downtown DULUTH!
Date: Sun, 06 Sep 2009 19:15:18 +0200
In-Reply-To: <E1MkLAq-0005Hd-61@HIDDEN> (Ulrich Neumerkel's
	message of "Sun, 06 Sep 2009 19:05:08 +0200")
Message-ID: <m2zl986lll.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Ulrich Neumerkel <ulrich@HIDDEN> writes:

> This would be an ad-hoc workaround that does not work for the next
> tool.  What is needed is that the command is called such that git or
> the pager doesn't think they are in an interactive environment.

That is easy, use a pipe instead of a pty (see process-connection-type).

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."



Acknowledgement sent to Andreas Schwab <schwab@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4359; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 6 Sep 2009 17:15:25 +0000
From whitebox@HIDDEN Sun Sep  6 10:15:24 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.8 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n86HFNaj018277
	for <submit@HIDDEN>; Sun, 6 Sep 2009 10:15:24 -0700
Received: from mx10.gnu.org ([199.232.76.166]:47804)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <whitebox@HIDDEN>)
	id 1MkLKk-0000GA-NB
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 13:15:22 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <whitebox@HIDDEN>)
	id 1MkLKj-0000Lw-FK
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 13:15:22 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:45003)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <whitebox@HIDDEN>)
	id 1MkLKj-0000Lm-3b
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 13:15:21 -0400
Received: from mail01.m-online.net (mail.m-online.net [192.168.3.149])
	by mail-out.m-online.net (Postfix) with ESMTP id 05E521C0070D;
	Sun,  6 Sep 2009 19:15:20 +0200 (CEST)
Received: from localhost (dynscan2.mnet-online.de [192.168.1.215])
	by mail.m-online.net (Postfix) with ESMTP id EBF45902A4;
	Sun,  6 Sep 2009 19:15:19 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.3.149])
	by localhost (dynscan2.mnet-online.de [192.168.1.215]) (amavisd-new, port 10024)
	with ESMTP id KmKfzJDMhN6p; Sun,  6 Sep 2009 19:15:18 +0200 (CEST)
Received: from igel.home (DSL01.83.171.189.21.ip-pool.NEFkom.net [83.171.189.21])
	by mail.mnet-online.de (Postfix) with ESMTP;
	Sun,  6 Sep 2009 19:15:18 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id 75D7B10DC2A; Sun,  6 Sep 2009 19:15:18 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Ulrich Neumerkel <ulrich@HIDDEN>
Cc: 4359 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
References: <E1MkLAq-0005Hd-61@HIDDEN>
X-Yow: CHUBBY CHECKER just had a CHICKEN SANDWICH in downtown DULUTH!
Date: Sun, 06 Sep 2009 19:15:18 +0200
In-Reply-To: <E1MkLAq-0005Hd-61@HIDDEN> (Ulrich Neumerkel's
	message of "Sun, 06 Sep 2009 19:05:08 +0200")
Message-ID: <m2zl986lll.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6, seldom 2.4 (older, 4)
X-CrossAssassin-Score: 2

Ulrich Neumerkel <ulrich@HIDDEN> writes:

> This would be an ad-hoc workaround that does not work for the next
> tool.  What is needed is that the command is called such that git or
> the pager doesn't think they are in an interactive environment.

That is easy, use a pipe instead of a pty (see process-connection-type).

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."



Acknowledgement sent to Andreas Schwab <schwab@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4359; Package emacs. Full text available.

Message received at 4359@HIDDEN:


Received: (at 4359) by emacsbugs.donarmstrong.com; 6 Sep 2009 17:05:12 +0000
From ulrich@HIDDEN Sun Sep  6 10:05:12 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.9 required=4.0 tests=AWL,FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from a4.complang.tuwien.ac.at (a4.complang.tuwien.ac.at [128.130.173.65])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n86H5Age016368
	for <4359@HIDDEN>; Sun, 6 Sep 2009 10:05:12 -0700
Received: from ulrich by a4.complang.tuwien.ac.at with local (Exim 4.63)
	(envelope-from <ulrich@HIDDEN>)
	id 1MkLAq-0005Hd-61; Sun, 06 Sep 2009 19:05:08 +0200
To: schwab@HIDDEN, ulrich@HIDDEN
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
Cc: 4359 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
In-Reply-To: <m24org80z0.fsf@HIDDEN>
Message-Id: <E1MkLAq-0005Hd-61@HIDDEN>
From: Ulrich Neumerkel <ulrich@HIDDEN>
Date: Sun, 06 Sep 2009 19:05:08 +0200

Andreas Schwab <schwab@HIDDEN>
>> git grep -n -e git.describe
>> WARNING: terminal is not fully functional
>> ^Glisp/org/org.el:112:      (if (eql 0 (shell-command "git describe --abbrev=4 HEAD"))
>
>The WARNING line and the ^G is written by less.  You can work around
>that by disabling the pager or setting it to cat.

This would be an ad-hoc workaround that does not work for the next
tool.  What is needed is that the command is called such that git or
the pager doesn't think they are in an interactive environment.

I.e.,

git grep -n -e git.describe | cat

does work correctly.  Not sure how to do this in a clean manner.



Acknowledgement sent to Ulrich Neumerkel <ulrich@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4359; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 6 Sep 2009 17:05:18 +0000
From ulrich@HIDDEN Sun Sep  6 10:05:17 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.8 required=4.0 tests=AWL,FOURLA,HAS_BUG_NUMBER
	autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n86H5Gtj016488
	for <submit@HIDDEN>; Sun, 6 Sep 2009 10:05:17 -0700
Received: from mail.gnu.org ([199.232.76.166]:47118 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <ulrich@HIDDEN>)
	id 1MkLAx-0008Mg-MP
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 13:05:15 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <ulrich@HIDDEN>)
	id 1MkLAu-0006n9-Aw
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 13:05:14 -0400
Received: from a4.complang.tuwien.ac.at ([128.130.173.65]:56969)
	by monty-python.gnu.org with esmtps (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <ulrich@HIDDEN>)
	id 1MkLAt-0006mP-MM
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 13:05:11 -0400
Received: from ulrich by a4.complang.tuwien.ac.at with local (Exim 4.63)
	(envelope-from <ulrich@HIDDEN>)
	id 1MkLAq-0005Hd-61; Sun, 06 Sep 2009 19:05:08 +0200
To: schwab@HIDDEN, ulrich@HIDDEN
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
Cc: 4359 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
In-Reply-To: <m24org80z0.fsf@HIDDEN>
Message-Id: <E1MkLAq-0005Hd-61@HIDDEN>
From: Ulrich Neumerkel <ulrich@HIDDEN>
Date: Sun, 06 Sep 2009 19:05:08 +0200
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 3)

Andreas Schwab <schwab@HIDDEN>
>> git grep -n -e git.describe
>> WARNING: terminal is not fully functional
>> ^Glisp/org/org.el:112:      (if (eql 0 (shell-command "git describe --abbrev=4 HEAD"))
>
>The WARNING line and the ^G is written by less.  You can work around
>that by disabling the pager or setting it to cat.

This would be an ad-hoc workaround that does not work for the next
tool.  What is needed is that the command is called such that git or
the pager doesn't think they are in an interactive environment.

I.e.,

git grep -n -e git.describe | cat

does work correctly.  Not sure how to do this in a clean manner.



Acknowledgement sent to Ulrich Neumerkel <ulrich@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4359; Package emacs. Full text available.

Message received at 4359@HIDDEN:


Received: (at 4359) by emacsbugs.donarmstrong.com; 6 Sep 2009 16:58:07 +0000
From whitebox@HIDDEN Sun Sep  6 09:58:07 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.7 required=4.0 tests=AWL,FOURLA,HAS_BUG_NUMBER
	autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail-out.m-online.net (mail-out.m-online.net [212.18.0.9])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n86Gw6pi014721
	for <4359@HIDDEN>; Sun, 6 Sep 2009 09:58:07 -0700
Received: from mail01.m-online.net (mail.m-online.net [192.168.3.149])
	by mail-out.m-online.net (Postfix) with ESMTP id A862F1C15384;
	Sun,  6 Sep 2009 18:57:58 +0200 (CEST)
Received: from localhost (dynscan2.mnet-online.de [192.168.1.215])
	by mail.m-online.net (Postfix) with ESMTP id 69099902A4;
	Sun,  6 Sep 2009 18:57:58 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.3.149])
	by localhost (dynscan2.mnet-online.de [192.168.1.215]) (amavisd-new, port 10024)
	with ESMTP id J-jTLBUG0Tli; Sun,  6 Sep 2009 18:57:57 +0200 (CEST)
Received: from igel.home (DSL01.83.171.189.21.ip-pool.NEFkom.net [83.171.189.21])
	by mail.mnet-online.de (Postfix) with ESMTP;
	Sun,  6 Sep 2009 18:57:57 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id 461E410DC2A; Sun,  6 Sep 2009 18:57:56 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Ulrich Neumerkel <ulrich@HIDDEN>
Cc: 4359 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
References: <E1MkKJG-00056B-PS@HIDDEN>
X-Yow: Do you have exactly what I want in a plaid poindexter bar bat??
Date: Sun, 06 Sep 2009 18:57:55 +0200
In-Reply-To: <E1MkKJG-00056B-PS@HIDDEN> (Ulrich Neumerkel's
	message of "Sun, 06 Sep 2009 18:09:46 +0200")
Message-ID: <m24org80z0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Ulrich Neumerkel <ulrich@HIDDEN> writes:

> ---------- Buffer: *grep* ----------
> -*- mode: grep; default-directory: "/opt/gupu/src/emacs/" -*-
> Grep started at Sun Sep  6 17:58:37
>
> git grep -n -e git.describe
> WARNING: terminal is not fully functional
> ^Glisp/org/org.el:112:      (if (eql 0 (shell-command "git describe --abbrev=4 HEAD"))

The WARNING line and the ^G is written by less.  You can work around
that by disabling the pager or setting it to cat.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."



Acknowledgement sent to Andreas Schwab <schwab@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4359; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 6 Sep 2009 16:58:06 +0000
From whitebox@HIDDEN Sun Sep  6 09:58:06 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.7 required=4.0 tests=AWL,FOURLA,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n86Gw4Ma014722
	for <submit@HIDDEN>; Sun, 6 Sep 2009 09:58:06 -0700
Received: from mail.gnu.org ([199.232.76.166]:46815 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <whitebox@HIDDEN>)
	id 1MkL3z-0008B9-TL
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 12:58:03 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <whitebox@HIDDEN>)
	id 1MkL3y-0005gO-33
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 12:58:03 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:37097)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <whitebox@HIDDEN>)
	id 1MkL3x-0005fz-MD
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 12:58:01 -0400
Received: from mail01.m-online.net (mail.m-online.net [192.168.3.149])
	by mail-out.m-online.net (Postfix) with ESMTP id A862F1C15384;
	Sun,  6 Sep 2009 18:57:58 +0200 (CEST)
Received: from localhost (dynscan2.mnet-online.de [192.168.1.215])
	by mail.m-online.net (Postfix) with ESMTP id 69099902A4;
	Sun,  6 Sep 2009 18:57:58 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.3.149])
	by localhost (dynscan2.mnet-online.de [192.168.1.215]) (amavisd-new, port 10024)
	with ESMTP id J-jTLBUG0Tli; Sun,  6 Sep 2009 18:57:57 +0200 (CEST)
Received: from igel.home (DSL01.83.171.189.21.ip-pool.NEFkom.net [83.171.189.21])
	by mail.mnet-online.de (Postfix) with ESMTP;
	Sun,  6 Sep 2009 18:57:57 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id 461E410DC2A; Sun,  6 Sep 2009 18:57:56 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Ulrich Neumerkel <ulrich@HIDDEN>
Cc: 4359 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep
References: <E1MkKJG-00056B-PS@HIDDEN>
X-Yow: Do you have exactly what I want in a plaid poindexter bar bat??
Date: Sun, 06 Sep 2009 18:57:55 +0200
In-Reply-To: <E1MkKJG-00056B-PS@HIDDEN> (Ulrich Neumerkel's
	message of "Sun, 06 Sep 2009 18:09:46 +0200")
Message-ID: <m24org80z0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6, seldom 2.4 (older, 4)

Ulrich Neumerkel <ulrich@HIDDEN> writes:

> ---------- Buffer: *grep* ----------
> -*- mode: grep; default-directory: "/opt/gupu/src/emacs/" -*-
> Grep started at Sun Sep  6 17:58:37
>
> git grep -n -e git.describe
> WARNING: terminal is not fully functional
> ^Glisp/org/org.el:112:      (if (eql 0 (shell-command "git describe --abbrev=4 HEAD"))

The WARNING line and the ^G is written by less.  You can work around
that by disabling the pager or setting it to cat.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."



Acknowledgement sent to Andreas Schwab <schwab@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4359; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 6 Sep 2009 16:10:05 +0000
From ulrich@HIDDEN Sun Sep  6 09:10:05 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.2 required=4.0 tests=AWL,FOURLA,IMPRONONCABLE_2
	autolearn=no version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n86GA31H007488
	for <submit@HIDDEN>; Sun, 6 Sep 2009 09:10:04 -0700
Received: from mail.gnu.org ([199.232.76.166]:42896 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <ulrich@HIDDEN>)
	id 1MkKJW-0007Dj-0s
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 12:10:02 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <ulrich@HIDDEN>)
	id 1MkKJT-00063x-1g
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 12:10:01 -0400
Received: from a4.complang.tuwien.ac.at ([128.130.173.65]:60833)
	by monty-python.gnu.org with esmtps (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <ulrich@HIDDEN>)
	id 1MkKJQ-00062o-RT
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 12:09:57 -0400
Received: from ulrich by a4.complang.tuwien.ac.at with local (Exim 4.63)
	(envelope-from <ulrich@HIDDEN>)
	id 1MkKJG-00056B-PS
	for emacs-pretest-bug@HIDDEN; Sun, 06 Sep 2009 18:09:46 +0200
To: emacs-pretest-bug@HIDDEN
Subject: 23.1.50; ^G in M-x grep mode with git grep
Message-Id: <E1MkKJG-00056B-PS@HIDDEN>
From: Ulrich Neumerkel <ulrich@HIDDEN>
Date: Sun, 06 Sep 2009 18:09:46 +0200
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 3)

--text follows this line--

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the emacs-pretest-bug@HIDDEN mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I am in the source directory of emacs, according to git describe
merge-multi-tty-to-trunk-16449-gd32e271

I want to git grep for something.   I do M-x grep
and add git in front of the grep command:

---------- Buffer: *grep* ----------
-*- mode: grep; default-directory: "/opt/gupu/src/emacs/" -*-
Grep started at Sun Sep  6 17:58:37

git grep -n -e git.describe
WARNING: terminal is not fully functional
^Glisp/org/org.el:112:      (if (eql 0 (shell-command "git describe --abbrev=4 HEAD"))

Grep finished (matches found) at Sun Sep  6 17:58:38
This is the -!-contents of foo.
---------- Buffer: *grep* ----------

Now, I cannot do C-c C-c on the line above.

(I changed the actual ^G to ^ G)


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/opt/gupu/emacs-git/share/emacs/23.1.50/etc/DEBUG for instructions.


In GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, X toolkit)
 of 2009-09-06 on gupu2
Windowing system distributor `The X.Org Foundation', version 11.0.10603000
configured using `configure  '--without-toolkit-scroll-bars' '--prefix' '/opt/gupu/emacs-git''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Grep

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> C-x 
b C-g C-h i M-x e m a <tab> v e r <tab> <return> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> M-x m e n u <tab> b <tab> m 
<tab> <return> M-x t o o <tab> - <tab> <return> C-h 
n C-s f u l l s c r e e n C-s C-s C-a C-s C-s C-s C-a 
C-s C-s C-a <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <escape> <escape> < <escape> > C-s <escape> 
< C-x C-f C-g C-x C-f C-g C-x C-f / o p t / g u <tab> 
s r c / g i t - <backspace> <backspace> <backspace> 
<backspace> e m a c s <tab> - <tab> <backspace> <backspace> 
<backspace> <backspace> <backspace> <return> M-! g 
i t - g r e p SPC <return> M-! <up> <M-right> <right> 
<backspace> SPC C-e g i t SPC d <backspace> <backspace> 
. d e s c r i b e <return> M-x g r e p <return> C-a 
g o t <backspace> <backspace> i t SPC <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <left> <left> <backspace> C-e g i t . d e s 
c r o b <backspace> <backspace> i b e <return> C-x 
p C-x o <down> <down> <down> <down> <down> M-x s e 
n d <tab> C-g M-x m e n <tab> b <tab> m <tab> <return> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
Tool-Bar mode disabled
View mode: type C-h for help, h for commands, q to quit.
Mark saved where search started [3 times]
Mark set [2 times]
Quit [2 times]
/bin/bash: git-grep: command not found
lisp/org/org.el:	  (if (eql 0 (shell-command "git describe --abbrev=4 HEAD"))
Grep finished (matches found)
Quit
Menu-Bar mode enabled

Load-path shadows:
None found.



Acknowledgement sent to Ulrich Neumerkel <ulrich@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4359; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 5 Jun 2022 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.